summaryrefslogtreecommitdiff
path: root/scripts/dvdarchive.sh.old
diff options
context:
space:
mode:
authorMartin Prochnow <nordlicht@martins-kabuff.de>2006-03-26 12:18:12 +0200
committerAndreas Mair <andreas@vdr-developer.org>2006-03-26 12:18:12 +0200
commit54d5f6870a7351584fcb1c3e861a4fc9224badf3 (patch)
treefb51954380f42e8827a0a8fa757ef12e17e4e0f9 /scripts/dvdarchive.sh.old
parent20683b994128131bcb22f89f00282cefdc54fc04 (diff)
downloadvdr-plugin-extrecmenu-54d5f6870a7351584fcb1c3e861a4fc9224badf3.tar.gz
vdr-plugin-extrecmenu-54d5f6870a7351584fcb1c3e861a4fc9224badf3.tar.bz2
Version 0.7v0.7
- added frensh translation; thanks to Patrice Staudt - added finnish translation; thanks to Rolf Ahrenberg - several bugfixes: * if there are more then one recording with the same name, only one of it is shown if the recording details are hidden; thanks to Monroe from vdr-portal.de for reporting * recording list entry (not the recording itselfs!) is deleted, if it is moved to the same place; thanks to Monroe from vdr-portal.de for reporting * if a recording was deleted, the selection bar jumps to the first list entry * some people reported problems with wrong recording dates using LinVDR - revised rename-recording-menu; thanks to Monroe from vdr-portal.de for suggesting - revised move-recording-menu - it is now more obvious; thanks to Monroe from vdr-portal.de for suggesting - added option to show an alternative new marker - it's only useful for german speaking users because this icon shows 'NEU'; suggestions for an international version are welcome, you has 22x22 pixels for it - added the functionality of the DvdArchive- and the DVDShowArchive-patch for VDR - thanks fpr vejoun from vdr-portal.de for the script 'dvdarchive.sh'
Diffstat (limited to 'scripts/dvdarchive.sh.old')
-rwxr-xr-xscripts/dvdarchive.sh.old37
1 files changed, 37 insertions, 0 deletions
diff --git a/scripts/dvdarchive.sh.old b/scripts/dvdarchive.sh.old
new file mode 100755
index 0000000..ffe1737
--- /dev/null
+++ b/scripts/dvdarchive.sh.old
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+#MOUNTCMD="/bin/mount"
+MOUNTCMD="/usr/bin/sudo mount"
+#UMOUNTCMD="/bin/umount"
+UMOUNTCMD="/usr/bin/sudo umount"
+MOUNTPOINT="/media/cdrom/" # trailing '/' is important! (for find command)
+PATH=$2
+NAME=$3
+
+case "$1" in
+mount)
+ # mount dvd
+ $MOUNTCMD $MOUNTPOINT
+ if [ $? -eq 0 ]
+ then
+ DIR=$(/usr/bin/find $MOUNTPOINT -name $NAME)
+ # bind recording dir on dvd to recording dir in /video
+ $MOUNTCMD --bind $DIR $PATH
+ if [ $? -ne 0 ]
+ then
+ $UMOUNTCMD $MOUNTPOINT
+ exit 2
+ fi
+ else
+ exit 1
+ fi
+ ;;
+umount)
+ $MOUNTCMD | /bin/grep $PATH > /dev/null
+ if [ $? -eq 0 ]
+ then
+ $UMOUNTCMD $PATH
+ $UMOUNTCMD $MOUNTPOINT
+ fi
+ ;;
+esac